Subject: [magma] RFC 4286 (MRD): Termination useless?

From: Mark Doll <[email-masked]>
Date: Mon, 09 Jan 2006 12:19:27 +0100

Hi Brian, Jim!

I've just read RFC 4286 specifying the Router Discovery Protocol. I wonder why the last sentence of section 5.4 reads

    If an Advertisement is not received within NeighborDeadInterval, the sending router is removed from the list of active multicast routers.

thereby defining NeighborDeadInterval as timeout instead of MAX_RESPONSE_DELAY. If a multicast router sends a Termination Message, it will cause the snooping switch to remove this router NeighborDeadInterval seconds after this Termination Message instead of NeighborDeadInterval after the last periodic Advertisement Message, therby *later* than without a Termination Message.

Would be nice, if someone could clarify this. Thanks in advance.

Regards, Mark.

P.S.: Of course, to be robust against packet loss, the Termination Message should then be repeated multiple times (i. e. 3 times) and the timeout should be accordingly longer, as IGMP/MLD does it when its queries for the last listener on the link (Last Listener Query Count, Last Listener Query Time).

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma